Skip to main content
POST
/
v1
/
runs
Create an async run
curl --request POST \
  --url https://developer.creao.ai/v1/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "00000000-0000-4000-8000-000000000000",
  "input": {
    "company": "Apple",
    "year": "2025"
  }
}
'
{
  "run_id": "11111111-1111-4111-8111-111111111111",
  "status": "pending",
  "agent_id": "00000000-0000-4000-8000-000000000000",
  "conversation_id": "22222222-2222-4222-8222-222222222222"
}

Authorizations

Authorization
string
header
default:cr_sk_your_key_here
required

Account API key from Developer Console. Keys start with cr_sk_.

Body

application/json
agent_id
string<uuid>
required

Active personal CREAO agent to run.

input
any
required

JSON input for the agent. Serialized input must be 256 KB or smaller.

conversation_id
string<uuid>

Existing conversation to continue. Omit to create a new conversation.

webhook_url
string<uri>

Public http or https URL for the terminal async result.

Maximum string length: 2048

Response

Run accepted.

run_id
string<uuid>
required

Developer API run ID.

status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
cancelled
agent_id
string<uuid>
required

Agent that ran.

conversation_id
string<uuid> | null
required

Conversation ID for follow-up runs.

result
object

Final agent output. Completed runs commonly include text and may include artifacts.

usage
object
error
object
created_at
string<date-time>
started_at
string<date-time> | null
completed_at
string<date-time> | null
webhook_delivered_at
string<date-time> | null